net.corda.core.crypto

## Class PartialTree.Node

- net.corda.core.crypto.PartialMerkleTree.PartialTree
- - net.corda.core.crypto.PartialMerkleTree.PartialTree.Node

- Enclosing class:
    PartialMerkleTree.PartialTree

      public static class PartialTree.Node
      extends PartialMerkleTree.PartialTree

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.PartialMerkleTree.PartialTree

      `PartialTree.IncludedLeaf, PartialTree.Leaf, PartialTree.Node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(PartialMerkleTree.PartialTree left, PartialMerkleTree.PartialTree right)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartialMerkleTree.PartialTree` | `getLeft()`
    `PartialMerkleTree.PartialTree` | `getRight()`

- - ### Constructor Detail

    - #### Node

          public Node(PartialMerkleTree.PartialTree left,
                      PartialMerkleTree.PartialTree right)

  - ### Method Detail

    - #### getLeft

          public PartialMerkleTree.PartialTree getLeft()

    - #### getRight

          public PartialMerkleTree.PartialTree getRight()